Subject: RE: Problems with NFS server
From: "Nicolas Boudin" <[email-masked]>
To: <[email-masked]>
Cc: "Sam Robb" <[email-masked]>
Date: Mon, 19 Jun 2006 12:21:58 +0200

>   Could you please try adding a map_static directive to your exports?
> It should then look something like this:
> 
> /usr/src/buildroot-20060308/build_arm/root
> 172.16.7.65(rw,map_static=/etc/nfs/server.map,no_root_squash)
> 
>   If you ran the nfs-server-config script to set up the 
> nfs-server, then
> you should already have an /etc/nfs/server.map file that was 
> created for
> you by the setup script.  If not, you can create it, with the 
> following contents:
> 
> ----- CUT -----
> # Sample server map for nfsd
> #
> # This file maps 500/500 on an NFS client to the uid/gid of the
> # user who ran nfs-server-config, and maps 0/0 on an NFS client
> # the uid/gid of the Administrator account.
> #
> # Note that a server map is host-specific (which makes sense,
> # if you think about it...)  So you can only use a plain IP
> # address or DNS name to specify a client that uses a static_map.
> #
> # Examples of valid /etc/exports lines using map_static:
> #
> #   /gaunt   192.168.1.42(map_static=/etc/nfs/server.map)
> #   /chaney  twilley(map_static=/etc/nfs/server.map)
> #
> uid     500     xxxxx   # user id - replace 'xxxxx'
> gid     500     yyyyy   # group id - replace 'yyyyy'
> uid     0       500     # user id for Administrator
> gid     0       513     # group id for Administrator
> ----- CUT -----

This file was properly created with correct xxxxx and yyyyy. For Administrator I had only:
uid 0
gid 0
but the map_static directive don't seem to have any influence on my error.

I have seen that I can transfer files through NFS from the u-boot bootloader on the same board. It looks like it takes more time, there is a latency of about 5 seconds before the beginning of the transfer and at the end, so I tried to play with the timeo option in the kernel arguments, without any effect.

Thank you,

Nicolas

______________________________________________________________________
This email has been scanned by the MessageLabs Email Security System.
For more information please visit http://www.messagelabs.com/email 
______________________________________________________________________

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/